Bug 149404 - Preference page becomes too high. Buttons off bottom.
Preference page becomes too high. Buttons off bottom.
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-22 15:25 EST by Bob Gustafson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-04 12:23:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Gustafson 2005-02-22 15:25:31 EST
Description of problem:

 See step by step below

Version-Release number of selected component (if applicable):

 The 'About' box is pretty, but I cannot find the version number on it..

[user1@hoho2 ~]$ rpm -q gimp
gimp-2.2.3-0.fc3.2
[user1@hoho2 ~]$

How reproducible:
Always

Steps to Reproduce:

1. Start gimp (from menu - probably doesn't matter)
2. File->Preferences (window height is good, can see bottom edge)
3. Click on Folders and open it. Window instantly becomes longer to
accomodate list length. There are no vertical scroll bars active,
either on panel with folder items, or on side with applicable input
boxes and buttons.

4. Click on any other left side item (e.g., Default Grid, Theme,
Toolbox,etc.). The window height remains very tall, so tall that
buttons are off bottom of screen.

5. Make a cange to your preferences - anywhere.

6. Look for button to 'Apply' or 'OK' - ha, ha - off screen to bottom.
  
Actual results:

 see aboe

Expected results:

  Would be nice if
  1) there were scroll bars so that bottom of left list and/or
applicable buttons on right could be seen/found.

Alternatively, when list would go below screen, create another window
with only scrollable list (??)

Additional info:
 My screen is 1028 x 768
Comment 1 Nils Philippsen 2005-03-04 12:23:41 EST
I'd like you to open a Bugzilla entry upstream (i.e. bugzilla.gnome.org,
component GIMP) as it is unlikely that I'd get around to patching this into our
GIMP package and maintain that patch separately from upstream. Please report
back with the Bugzilla ID of the upstream bugzilla entry.

As a workaround, you can e.g. resize off the screen windows with Alt+F8, then
using cursor keys under GNOME, I'm sure KDE has some similar keyboard shortcut.

Note You need to log in before you can comment on or make changes to this bug.